#!/usr/bin/env bash
set -e
(>&2 echo "Remediating rule 137/364: 'file_group_ownership_var_log_audit'")
# Remediation is applicable only in certain platforms
if rpm --quiet -q audit; then

change_audit_log_group() {
  local group=$1
  find /var/log/audit -type f -name "audit.log*" -exec chgrp "${group}" {} \;
}

if LC_ALL=C grep -m 1 -q ^log_group /etc/audit/auditd.conf; then
  GROUP=$(awk -F "=" '/log_group/ {print $2}' /etc/audit/auditd.conf | tr -d ' ')
  if ! [ "${GROUP}" == 'root' ] ; then
    change_audit_log_group "${GROUP}"
  else
    change_audit_log_group root
  fi
else
  change_audit_log_group root
fi

else
    >&2 echo 'Remediation is not applicable, nothing was done'
fi
