#!/bin/bash

# Set boot_uuid variable for the boot partition if different from the root
boot_dev="$(df /boot/ --output=source | tail -1)"
root_dev="$(df / --output=source | tail -1)"

boot_uuid=""
if [[ "${boot_dev}" != "${root_dev}" ]]; then
    boot_uuid="boot=UUID=$(blkid $boot_dev -s UUID -o value)"
fi

# Enable FIPS and set boot= parameter
kernelopts="$(sudo grub2-editenv - list | grep kernelopts)"
if [[ $? == 0 ]]; then
    sudo grub2-editenv - set "${kernelopts} fips=1 ${boot_uuid}"
else
    sudo grubby --update-kernel=ALL --args="fips=1 ${boot_uuid}"
fi
